diff -ruN crosstool-ng-4c63ce24fccd-a/config/companion_libs/ppl.in crosstool-ng-4c63ce24fccd-b/config/companion_libs/ppl.in
--- crosstool-ng-4c63ce24fccd-a/config/companion_libs/ppl.in	2013-05-13 09:00:56.000000000 +0200
+++ crosstool-ng-4c63ce24fccd-b/config/companion_libs/ppl.in	2013-05-21 12:16:04.060490058 +0200
@@ -6,6 +6,16 @@
 # Don't remove next line
 # CT_INSERT_VERSION_BELOW
 
+config PPL_V_1_0
+    bool
+    prompt "1.0"
+    select PPL_1_0
+
+config PPL_V_0_12_1
+    bool
+    prompt "0.12.1"
+    select PPL_0_12
+
 config PPL_V_0_11_2
     bool
     prompt "0.11.2"
@@ -32,6 +42,8 @@
     string
 # Don't remove next line
 # CT_INSERT_VERSION_STRING_BELOW
+    default "1.0" if PPL_V_1_0
+    default "0.12.1" if PPL_V_0_12_1
     default "0.11.2" if PPL_V_0_11_2
     default "0.11.1" if PPL_V_0_11_1
     default "0.11" if PPL_V_0_11
@@ -47,5 +59,11 @@
     bool
     select PPL_NEEDS_LIBPWL if ! COMPLIBS_SHARED
 
+config PPL_0_12
+    bool
+
+config PPL_1_0
+    bool
+
 config PPL_NEEDS_LIBPWL
     bool
diff -ruN crosstool-ng-4c63ce24fccd-a/patches/cloog-ppl/0.15.11/200-add_ppl_1.x.patch crosstool-ng-4c63ce24fccd-b/patches/cloog-ppl/0.15.11/200-add_ppl_1.x.patch
--- crosstool-ng-4c63ce24fccd-a/patches/cloog-ppl/0.15.11/200-add_ppl_1.x.patch	1970-01-01 01:00:00.000000000 +0100
+++ crosstool-ng-4c63ce24fccd-b/patches/cloog-ppl/0.15.11/200-add_ppl_1.x.patch	2013-05-21 13:15:40.626225290 +0200
@@ -0,0 +1,24 @@
+diff -Naurd cloog-ppl-0.15.11-a/configure cloog-ppl-0.15.11-b/configure
+--- cloog-ppl-0.15.11-a/configure	2011-04-01 06:22:53.000000000 +0200
++++ cloog-ppl-0.15.11-b/configure	2013-05-20 17:42:26.045108706 +0200
+@@ -11222,7 +11222,7 @@
+ main ()
+ {
+ 
+-	#if PPL_VERSION_MAJOR != 0 || PPL_VERSION_MINOR < 10
++	#if PPL_VERSION_MAJOR == 0 && PPL_VERSION_MINOR < 10
+ 	choke me
+ 	#endif
+ 
+diff -Naurd cloog-ppl-0.15.11-a/configure.in cloog-ppl-0.15.11-b/configure.in
+--- cloog-ppl-0.15.11-a/configure.in	2010-08-27 21:13:48.000000000 +0200
++++ cloog-ppl-0.15.11-b/configure.in	2013-05-20 17:43:01.705107715 +0200
+@@ -338,7 +338,7 @@
+ 
+ 	AC_MSG_CHECKING([for version 0.10 (or later revision) of PPL])
+ 	AC_TRY_COMPILE([#include "ppl_c.h"],[
+-	#if PPL_VERSION_MAJOR != 0 || PPL_VERSION_MINOR < 10
++	#if PPL_VERSION_MAJOR == 0 && PPL_VERSION_MINOR < 10
+ 	choke me
+ 	#endif
+ 	], [AC_MSG_RESULT([yes])], [AC_MSG_ERROR(Can't find correct version of PPL.) ]
diff -ruN crosstool-ng-4c63ce24fccd-a/patches/gcc/4.6.4/200-add_ppl_1.x.patch crosstool-ng-4c63ce24fccd-b/patches/gcc/4.6.4/200-add_ppl_1.x.patch
--- crosstool-ng-4c63ce24fccd-a/patches/gcc/4.6.4/200-add_ppl_1.x.patch	1970-01-01 01:00:00.000000000 +0100
+++ crosstool-ng-4c63ce24fccd-b/patches/gcc/4.6.4/200-add_ppl_1.x.patch	2013-05-21 12:21:44.798179685 +0200
@@ -0,0 +1,24 @@
+diff -ruN gcc-4.6.4-a/configure gcc-4.6.4-b/configure
+--- gcc-4.6.4-a/configure	2011-12-18 11:03:44.000000000 +0100
++++ gcc-4.6.4-b/configure	2013-05-20 20:33:28.248823490 +0200
+@@ -5778,7 +5778,7 @@
+ main ()
+ {
+ 
+-    #if PPL_VERSION_MAJOR != 0 || PPL_VERSION_MINOR < 11
++    #if PPL_VERSION_MAJOR == 0 && PPL_VERSION_MINOR < 11
+     choke me
+     #endif
+ 
+diff -ruN gcc-4.6.4-a/configure.ac gcc-4.6.4-b/configure.ac
+--- gcc-4.6.4-a/configure.ac	2011-11-18 12:45:44.000000000 +0100
++++ gcc-4.6.4-b/configure.ac	2013-05-20 20:33:28.252823491 +0200
+@@ -1684,7 +1684,7 @@
+     CFLAGS="$CFLAGS $pplinc $gmpinc"
+     AC_MSG_CHECKING([for version 0.11 (revision 0 or later) of PPL])
+     AC_TRY_COMPILE([#include "ppl_c.h"],[
+-    #if PPL_VERSION_MAJOR != 0 || PPL_VERSION_MINOR < 11
++    #if PPL_VERSION_MAJOR == 0 && PPL_VERSION_MINOR < 11
+     choke me
+     #endif
+     ], [AC_MSG_RESULT([yes])], [AC_MSG_RESULT([no]); ppllibs= ; pplinc= ; with_ppl=no ])
diff -ruN crosstool-ng-4c63ce24fccd-a/patches/gcc/4.7.3/100-add_ppl_1.x.patch crosstool-ng-4c63ce24fccd-b/patches/gcc/4.7.3/100-add_ppl_1.x.patch
--- crosstool-ng-4c63ce24fccd-a/patches/gcc/4.7.3/100-add_ppl_1.x.patch	1970-01-01 01:00:00.000000000 +0100
+++ crosstool-ng-4c63ce24fccd-b/patches/gcc/4.7.3/100-add_ppl_1.x.patch	2013-05-21 12:20:12.641722706 +0200
@@ -0,0 +1,24 @@
+diff -ruN gcc-linaro-4.7-2013.05-a/configure gcc-linaro-4.7-2013.05-b/configure
+--- gcc-4.7.3-a/configure	2013-05-14 11:24:13.000000000 +0200
++++ gcc-4.7.3-b/configure	2013-05-20 19:08:33.312965092 +0200
+@@ -5697,7 +5697,7 @@
+ main ()
+ {
+ 
+-    #if PPL_VERSION_MAJOR != 0 || PPL_VERSION_MINOR < 11
++    #if PPL_VERSION_MAJOR == 0 && PPL_VERSION_MINOR < 11
+     choke me
+     #endif
+ 
+diff -ruN gcc-linaro-4.7-2013.05-a/configure.ac gcc-linaro-4.7-2013.05-b/configure.ac
+--- gcc-4.7.3-a/configure.ac	2013-05-14 11:24:13.000000000 +0200
++++ gcc-4.7.3-b/configure.ac	2013-05-20 19:08:50.352964620 +0200
+@@ -1577,7 +1577,7 @@
+     CFLAGS="$CFLAGS $pplinc $gmpinc"
+     AC_MSG_CHECKING([for version 0.11 (revision 0 or later) of PPL])
+     AC_TRY_COMPILE([#include "ppl_c.h"],[
+-    #if PPL_VERSION_MAJOR != 0 || PPL_VERSION_MINOR < 11
++    #if PPL_VERSION_MAJOR == 0 && PPL_VERSION_MINOR < 11
+     choke me
+     #endif
+     ], [AC_MSG_RESULT([yes])], [AC_MSG_RESULT([no]); ppllibs= ; pplinc= ; with_ppl=no ])
diff -ruN crosstool-ng-4c63ce24fccd-a/patches/gcc/linaro-4.6-2013.05/100-libgcc_eh.a.patch crosstool-ng-4c63ce24fccd-b/patches/gcc/linaro-4.6-2013.05/100-libgcc_eh.a.patch
--- crosstool-ng-4c63ce24fccd-a/patches/gcc/linaro-4.6-2013.05/100-libgcc_eh.a.patch	1970-01-01 01:00:00.000000000 +0100
+++ crosstool-ng-4c63ce24fccd-b/patches/gcc/linaro-4.6-2013.05/100-libgcc_eh.a.patch	2013-05-21 12:19:25.417488534 +0200
@@ -0,0 +1,39 @@
+Highly inspired by:
+  http://landley.net/hg/aboriginal/file/7e0747a665ab/sources/patches/gcc-core-libgcceh.patch
+
+diff -durN gcc-4.6.0.orig/libgcc/Makefile.in gcc-4.6.0/libgcc/Makefile.in
+--- gcc-4.6.0.orig/libgcc/Makefile.in	2011-01-26 05:19:58.000000000 +0100
++++ gcc-4.6.0/libgcc/Makefile.in	2011-09-12 18:17:12.743718974 +0200
+@@ -772,8 +772,9 @@
+ libgcc_s$(SHLIB_EXT): libunwind$(SHLIB_EXT)
+ endif
+ 
++all: libgcc_eh.a
+ ifeq ($(enable_shared),yes)
+-all: libgcc_eh.a libgcc_s$(SHLIB_EXT)
++all: libgcc_s$(SHLIB_EXT)
+ ifneq ($(LIBUNWIND),)
+ all: libunwind$(SHLIB_EXT)
+ endif
+@@ -950,10 +951,6 @@
+ install-shared:
+ 	$(mkinstalldirs) $(DESTDIR)$(inst_libdir)
+ 
+-	$(INSTALL_DATA) libgcc_eh.a $(DESTDIR)$(inst_libdir)/
+-	chmod 644 $(DESTDIR)$(inst_libdir)/libgcc_eh.a
+-	$(RANLIB) $(DESTDIR)$(inst_libdir)/libgcc_eh.a
+-
+ 	$(subst @multilib_dir@,$(MULTIDIR),$(subst \
+ 		@shlib_base_name@,libgcc_s,$(subst \
+ 		@shlib_slibdir_qual@,$(MULTIOSSUBDIR),$(SHLIB_INSTALL))))
+@@ -968,6 +965,10 @@
+ 	chmod 644 $(DESTDIR)$(inst_libdir)/libgcov.a
+ 	$(RANLIB) $(DESTDIR)$(inst_libdir)/libgcov.a
+ 
++	$(INSTALL_DATA) libgcc_eh.a $(DESTDIR)$(inst_libdir)/
++	chmod 644 $(DESTDIR)$(inst_libdir)/libgcc_eh.a
++	$(RANLIB) $(DESTDIR)$(inst_libdir)/libgcc_eh.a
++
+ 	parts="$(INSTALL_PARTS)";				\
+ 	for file in $$parts; do					\
+ 	  rm -f $(DESTDIR)$(inst_libdir)/$$file;		\
diff -ruN crosstool-ng-4c63ce24fccd-a/patches/gcc/linaro-4.6-2013.05/200-add_ppl_1.x.patch crosstool-ng-4c63ce24fccd-b/patches/gcc/linaro-4.6-2013.05/200-add_ppl_1.x.patch
--- crosstool-ng-4c63ce24fccd-a/patches/gcc/linaro-4.6-2013.05/200-add_ppl_1.x.patch	1970-01-01 01:00:00.000000000 +0100
+++ crosstool-ng-4c63ce24fccd-b/patches/gcc/linaro-4.6-2013.05/200-add_ppl_1.x.patch	2013-05-21 12:19:25.409488494 +0200
@@ -0,0 +1,24 @@
+diff -ruN gcc-4.6.4-a/configure gcc-4.6.4-b/configure
+--- gcc-4.6.4-a/configure	2011-12-18 11:03:44.000000000 +0100
++++ gcc-4.6.4-b/configure	2013-05-20 20:33:28.248823490 +0200
+@@ -5778,7 +5778,7 @@
+ main ()
+ {
+ 
+-    #if PPL_VERSION_MAJOR != 0 || PPL_VERSION_MINOR < 11
++    #if PPL_VERSION_MAJOR == 0 && PPL_VERSION_MINOR < 11
+     choke me
+     #endif
+ 
+diff -ruN gcc-4.6.4-a/configure.ac gcc-4.6.4-b/configure.ac
+--- gcc-4.6.4-a/configure.ac	2011-11-18 12:45:44.000000000 +0100
++++ gcc-4.6.4-b/configure.ac	2013-05-20 20:33:28.252823491 +0200
+@@ -1684,7 +1684,7 @@
+     CFLAGS="$CFLAGS $pplinc $gmpinc"
+     AC_MSG_CHECKING([for version 0.11 (revision 0 or later) of PPL])
+     AC_TRY_COMPILE([#include "ppl_c.h"],[
+-    #if PPL_VERSION_MAJOR != 0 || PPL_VERSION_MINOR < 11
++    #if PPL_VERSION_MAJOR == 0 && PPL_VERSION_MINOR < 11
+     choke me
+     #endif
+     ], [AC_MSG_RESULT([yes])], [AC_MSG_RESULT([no]); ppllibs= ; pplinc= ; with_ppl=no ])
diff -ruN crosstool-ng-4c63ce24fccd-a/patches/gcc/linaro-4.7-2013.05/100-add_ppl_1.x.patch crosstool-ng-4c63ce24fccd-b/patches/gcc/linaro-4.7-2013.05/100-add_ppl_1.x.patch
--- crosstool-ng-4c63ce24fccd-a/patches/gcc/linaro-4.7-2013.05/100-add_ppl_1.x.patch	1970-01-01 01:00:00.000000000 +0100
+++ crosstool-ng-4c63ce24fccd-b/patches/gcc/linaro-4.7-2013.05/100-add_ppl_1.x.patch	2013-05-21 12:19:25.441488653 +0200
@@ -0,0 +1,24 @@
+diff -ruN gcc-linaro-4.7-2013.05-a/configure gcc-linaro-4.7-2013.05-b/configure
+--- gcc-linaro-4.7-2013.05-a/configure	2013-05-14 11:24:13.000000000 +0200
++++ gcc-linaro-4.7-2013.05-b/configure	2013-05-20 19:08:33.312965092 +0200
+@@ -5697,7 +5697,7 @@
+ main ()
+ {
+ 
+-    #if PPL_VERSION_MAJOR != 0 || PPL_VERSION_MINOR < 11
++    #if PPL_VERSION_MAJOR == 0 && PPL_VERSION_MINOR < 11
+     choke me
+     #endif
+ 
+diff -ruN gcc-linaro-4.7-2013.05-a/configure.ac gcc-linaro-4.7-2013.05-b/configure.ac
+--- gcc-linaro-4.7-2013.05-a/configure.ac	2013-05-14 11:24:13.000000000 +0200
++++ gcc-linaro-4.7-2013.05-b/configure.ac	2013-05-20 19:08:50.352964620 +0200
+@@ -1577,7 +1577,7 @@
+     CFLAGS="$CFLAGS $pplinc $gmpinc"
+     AC_MSG_CHECKING([for version 0.11 (revision 0 or later) of PPL])
+     AC_TRY_COMPILE([#include "ppl_c.h"],[
+-    #if PPL_VERSION_MAJOR != 0 || PPL_VERSION_MINOR < 11
++    #if PPL_VERSION_MAJOR == 0 && PPL_VERSION_MINOR < 11
+     choke me
+     #endif
+     ], [AC_MSG_RESULT([yes])], [AC_MSG_RESULT([no]); ppllibs= ; pplinc= ; with_ppl=no ])
diff -ruN crosstool-ng-4c63ce24fccd-a/scripts/build/companion_libs/120-ppl.sh crosstool-ng-4c63ce24fccd-b/scripts/build/companion_libs/120-ppl.sh
--- crosstool-ng-4c63ce24fccd-a/scripts/build/companion_libs/120-ppl.sh	2013-05-13 09:00:56.000000000 +0200
+++ crosstool-ng-4c63ce24fccd-b/scripts/build/companion_libs/120-ppl.sh	2013-05-21 12:48:15.478067441 +0200
@@ -112,6 +112,7 @@
         --with-libgmp-prefix="${prefix}"            \
         --with-libgmpxx-prefix="${prefix}"          \
         --with-gmp-prefix="${prefix}"               \
+	--with-gmp="${prefix}"                      \
         --enable-watchdog                           \
         --disable-debugging                         \
         --disable-assertions                        \
